Bug 1802114 - Specify sort function for machine phase column to avoid issues with sorting
Summary: Specify sort function for machine phase column to avoid issues with sorting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Rastislav Wagner
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 11:41 UTC by Rastislav Wagner
Modified: 2020-05-13 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:57:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4292 0 None closed Bug 1802114: Add sort function for machine phase. 2020-05-04 06:53:21 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:57:47 UTC

Description Rastislav Wagner 2020-02-12 11:41:55 UTC
since https://github.com/openshift/console/pull/4245 we alter the name of Running phase to Provisioned as node. This may break sorting which is based on status.phase field (not altered)

Comment 3 shahan 2020-02-17 04:22:09 UTC
Checked Compute->Machines page, sorted all columns included phase column, they all work well.
4.4.0-0.nightly-2020-02-16-205302

Comment 5 errata-xmlrpc 2020-05-13 21:57:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.